View Issue Details

IDProjectCategoryView StatusLast Update
0007050AnastasisC reducer implementationpublic2022-04-13 19:11
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionGit master 
Target Version0.3.0Fixed in Version0.3.0 
Summary0007050: recovery state has obscure and/or wrong field names
Descriptionstate.recovery_document => eh, this isn't actually the downloaded recovery document, but some internal state the reducer stores.
state.recovery_document.core_secret => this doesn't seem to be the core secret, but the encrypted core secret
state.recovery_document.cs => huh?
state.recovery_document.cs[*].salt => should be truth_salt?
state.recovery_document.cs[*].key_share => wouldn't this be the encrypted key share? actually it might be the plain one, but in the recovery doc we call "key_share_data" the *encrypted* key share ...
state.recovery_document.dps => huh?!
state.recovery_document.dps[*].salt => what salt is this?
state.recovery_document.dps[*].emk => huh?!?!
TagsNo tags attached.

Activities

Florian Dold

2021-10-20 19:04

manager   ~0018446

(I now mostly know what all these are, but we should still both fix the bad names and document it in form of TypeScript declarations.)

Florian Dold

2022-04-12 22:19

manager   ~0018860

AFAICT, all these fields could be replaced by the recovery_data field used by the TS reducer:

https://git.taler.net/wallet-core.git/tree/packages/anastasis-core/src/reducer-types.ts#n91

Christian Grothoff

2022-04-13 19:11

manager   ~0018870

Field names are now less obscure.

Issue History

Date Modified Username Field Change
2021-10-20 19:03 Florian Dold New Issue
2021-10-20 19:03 Florian Dold Status new => assigned
2021-10-20 19:03 Florian Dold Assigned To => Christian Grothoff
2021-10-20 19:04 Florian Dold Note Added: 0018446
2021-10-20 19:05 Florian Dold Description Updated
2021-10-20 19:07 Florian Dold Description Updated
2022-04-12 22:19 Florian Dold Note Added: 0018860
2022-04-13 19:11 Christian Grothoff Status assigned => resolved
2022-04-13 19:11 Christian Grothoff Resolution open => fixed
2022-04-13 19:11 Christian Grothoff Fixed in Version => 0.3.0
2022-04-13 19:11 Christian Grothoff Note Added: 0018870
2022-04-13 19:11 Christian Grothoff Product Version => Git master
2022-04-13 19:11 Christian Grothoff Target Version => 0.3.0